-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlBaseStateAction

Declaration :

- C++ : class UmlBaseStateAction : public UmlItem
- Java : abstract class UmlBaseStateAction extends UmlItem

Directly inherited by : UmlStateAction

Artifact : UmlBaseStateAction

Operation create

Declaration :

- C++ : public: static UmlStateAction * create(UmlState * parent)
- Java : public static UmlStateAction create(UmlState parent) throws RuntimeException

returns a new state action created under 'parent' In case it cannot be created ('parent' cannot contain it etc ...) return 0 in C++ and produce a RuntimeException in Java

Operation kind

Declaration :

- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation UmlBaseStateAction

Declaration :

- C++ : protected: UmlBaseStateAction(void * id, const QCString & s) : UmlItem(id, s)
- Java : protected UmlBaseStateAction(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

Operation expression

Declaration :

- C++ : public: const QCString & expression()
- Java : public String expression()

return the expression in OCL

Operation set_Expression

Declaration :

- C++ : public: bool set_Expression(const char * s)
- Java : public void set_Expression(String s) throws RuntimeException

set the expression in OCL On error return FALSE in C++, produce a RuntimeException in Java

Operation cppExpression

Declaration :

- C++ : public: const QCString & cppExpression()
- Java : public String cppExpression()

return the expression in C++

Operation set_CppExpression

Declaration :

- C++ : public: bool set_CppExpression(const char * s)
- Java : public void set_CppExpression(String s) throws RuntimeException

set the expression in C++ On error return FALSE in C++, produce a RuntimeException in Java

Operation javaExpression

Declaration :

- C++ : public: const QCString & javaExpression()
- Java : public String javaExpression()

return the expression in Java

Operation set_JavaExpression

Declaration :

- C++ : public: bool set_JavaExpression(const char * s)
- Java : public void set_JavaExpression(String s) throws RuntimeException

set the expression in Java On error return FALSE in C++, produce a RuntimeException in Java

Operation unload

Declaration :

- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

to unload the object to free memory, it will be reloaded automatically if needed. Recursively done for the sub items if 'rec' is TRUE. if 'del' is true the sub items are deleted in C++, and removed from the internal dictionnary in C++ and Java (to allow it to be garbaged), you will have to call Children() to re-access to them

Attribut _uml

Declaration :

- C++ : private: QCString _uml
- Java : private String _uml

Attribut _cpp

Declaration :

- C++ : private: QCString _cpp
- Java : private String _cpp

Attribut _java

Declaration :

- C++ : private: QCString _java
- Java : private String _java

Operation read_uml_

Declaration :

- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

Declaration :

- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

Declaration :

- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

All public operations :

apply , children , childrenVisible , cppExpression , create , defined_ , description , expression , identifier_ , isMarked , isToolRunning , isWritable , javaExpression , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_CppExpression , set_Description , set_Expression , set_isMarked , set_JavaExpression , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload